# MrzScannerConfiguration class

Configuration for MRZ scanner.

## Constructors

MrzScannerConfiguration.new({AccumulatedResultsVerifierConfiguration? frameAccumulationConfiguration, bool enableDetection = true, MrzIncompleteResultHandling incompleteResultHandling = MrzIncompleteResultHandling.REJECT, bool returnCrops = false})
MrzScannerConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

enableDetection ↔ bool
  Enable MRZ detection. If disabled, the scanner skips the detection step and assumes that the input image is a crop of the MRZ area.
  getter/setter pair
frameAccumulationConfiguration ↔ AccumulatedResultsVerifierConfiguration
  Configure the frame accumulation process.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
incompleteResultHandling ↔ MrzIncompleteResultHandling
  Defines how to handle incomplete MRZ results (e.g. caused by failed validation).
  getter/setter pair
returnCrops ↔ bool
  If true, crops of the detected MRZ and its fields will be returned in the result.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited